com.google.gwt.xml.client

## Interface Node

- All Known Subinterfaces:
    Attr, CDATASection, CharacterData, Comment, Document, DocumentFragment, Element, EntityReference, ProcessingInstruction, Text

      public interface Node

  This is the base interface for DOM nodes, as obtained from using `XMLParser` methods. Methods for iterating over and accessing values from nodes are supplied here.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static short` | `ATTRIBUTE_NODE` The constant 2 denotes DOM nodes of type Attribute.
    `static short` | `CDATA_SECTION_NODE` The constant 4 denotes DOM nodes of type CdataSection.
    `static short` | `COMMENT_NODE` The constant 8 denotes DOM nodes of type Comment.
    `static short` | `DOCUMENT_FRAGMENT_NODE` The constant 11 denotes DOM nodes of type DocumentFragment.
    `static short` | `DOCUMENT_NODE` The constant 9 denotes DOM nodes of type Document.
    `static short` | `DOCUMENT_TYPE_NODE` The constant 10 denotes DOM nodes of type DocumentType.
    `static short` | `ELEMENT_NODE` The constant 1 denotes DOM nodes of type Element.
    `static short` | `ENTITY_NODE` The constant 6 denotes DOM nodes of type Entity.
    `static short` | `ENTITY_REFERENCE_NODE` The constant 5 denotes DOM nodes of type EntityReference.
    `static short` | `NOTATION_NODE` The constant 12 denotes DOM nodes of type Notation.
    `static short` | `PROCESSING_INSTRUCTION_NODE` The constant 7 denotes DOM nodes of type ProcessingInstruction.
    `static short` | `TEXT_NODE` The constant 3 denotes DOM nodes of type Text.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Node` | `appendChild(Node newChild)` This method appends child `newChild`.
    `Node` | `cloneNode(boolean deep)` This method copies this `Node`.
    `NamedNodeMap` | `getAttributes()` This method retrieves the attributes.
    `NodeList` | `getChildNodes()` This method retrieves the child nodes.
    `Node` | `getFirstChild()` This method retrieves the first child.
    `Node` | `getLastChild()` This method retrieves the last child.
    `java.lang.String` | `getNamespaceURI()` This method retrieves the namespace URI.
    `Node` | `getNextSibling()` This method retrieves the next sibling.
    `java.lang.String` | `getNodeName()` This method retrieves the name.
    `short` | `getNodeType()` This method retrieves the type.
    `java.lang.String` | `getNodeValue()` This method retrieves the value.
    `Document` | `getOwnerDocument()` This method retrieves the owner document.
    `Node` | `getParentNode()` This method retrieves the parent.
    `java.lang.String` | `getPrefix()` This method retrieves the prefix.
    `Node` | `getPreviousSibling()` This method retrieves the previous sibling.
    `boolean` | `hasAttributes()` This method determines whether this `Node` has any attributes.
    `boolean` | `hasChildNodes()` This method determines whether this `Node` has any child nodes.
    `Node` | `insertBefore(Node newChild, Node refChild)` This method inserts before `newChild`.
    `void` | `normalize()` This method may collapse adjacent text nodes into one text node, depending on the implementation.
    `Node` | `removeChild(Node oldChild)` This method removes child `oldChild`.
    `Node` | `replaceChild(Node newChild, Node oldChild)` This method replaces the child `oldChild` with `newChild`.
    `void` | `setNodeValue(java.lang.String nodeValue)` This method sets the value to `nodeValue`.

- - ### Field Detail

    - #### ELEMENT_NODE

          static final short ELEMENT_NODE

      The constant 1 denotes DOM nodes of type Element.
      See Also:
        Constant Field Values

    - #### ATTRIBUTE_NODE

          static final short ATTRIBUTE_NODE

      The constant 2 denotes DOM nodes of type Attribute.
      See Also:
        Constant Field Values

    - #### TEXT_NODE

          static final short TEXT_NODE

      The constant 3 denotes DOM nodes of type Text.
      See Also:
        Constant Field Values

    - #### CDATA_SECTION_NODE

          static final short CDATA_SECTION_NODE

      The constant 4 denotes DOM nodes of type CdataSection.
      See Also:
        Constant Field Values

    - #### ENTITY_REFERENCE_NODE

          static final short ENTITY_REFERENCE_NODE

      The constant 5 denotes DOM nodes of type EntityReference.
      See Also:
        Constant Field Values

    - #### ENTITY_NODE

          static final short ENTITY_NODE

      The constant 6 denotes DOM nodes of type Entity.
      See Also:
        Constant Field Values

    - #### PROCESSING_INSTRUCTION_NODE

          static final short PROCESSING_INSTRUCTION_NODE

      The constant 7 denotes DOM nodes of type ProcessingInstruction.
      See Also:
        Constant Field Values

    - #### COMMENT_NODE

          static final short COMMENT_NODE

      The constant 8 denotes DOM nodes of type Comment.
      See Also:
        Constant Field Values

    - #### DOCUMENT_NODE

          static final short DOCUMENT_NODE

      The constant 9 denotes DOM nodes of type Document.
      See Also:
        Constant Field Values

    - #### DOCUMENT_TYPE_NODE

          static final short DOCUMENT_TYPE_NODE

      The constant 10 denotes DOM nodes of type DocumentType.
      See Also:
        Constant Field Values

    - #### DOCUMENT_FRAGMENT_NODE

          static final short DOCUMENT_FRAGMENT_NODE

      The constant 11 denotes DOM nodes of type DocumentFragment.
      See Also:
        Constant Field Values

    - #### NOTATION_NODE

          static final short NOTATION_NODE

      The constant 12 denotes DOM nodes of type Notation.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### appendChild

          Node appendChild(Node newChild)

      This method appends child `newChild`.
      Parameters:
        `newChild` - the `Node` to be added
      Returns:
        the child `Node` appended

    - #### cloneNode

          Node cloneNode(boolean deep)

      This method copies this `Node`.
      Parameters:
        `deep` - whether to recurse to children
      Returns:
        `Node` cloned

    - #### getAttributes

          NamedNodeMap getAttributes()

      This method retrieves the attributes.
      Returns:
        the attributes of this `Node`

    - #### getChildNodes

          NodeList getChildNodes()

      This method retrieves the child nodes.
      Returns:
        the child nodes of this `Node`

    - #### getFirstChild

          Node getFirstChild()

      This method retrieves the first child.
      Returns:
        the first child of this `Node`

    - #### getLastChild

          Node getLastChild()

      This method retrieves the last child.
      Returns:
        the last child of this `Node`

    - #### getNamespaceURI

          java.lang.String getNamespaceURI()

      This method retrieves the namespace URI.
      Returns:
        the namespace URI of this `Node`

    - #### getNextSibling

          Node getNextSibling()

      This method retrieves the next sibling.
      Returns:
        the next sibling of this `Node`

    - #### getNodeName

          java.lang.String getNodeName()

      This method retrieves the name.
      Returns:
        the name of this `Node`

    - #### getNodeType

          short getNodeType()

      This method retrieves the type.
      Returns:
        the type of this `Node`

    - #### getNodeValue

          java.lang.String getNodeValue()

      This method retrieves the value.
      Returns:
        the value of this `Node`

    - #### getOwnerDocument

          Document getOwnerDocument()

      This method retrieves the owner document.
      Returns:
        the owner document of this `Node`

    - #### getParentNode

          Node getParentNode()

      This method retrieves the parent.
      Returns:
        the parent of this `Node`

    - #### getPrefix

          java.lang.String getPrefix()

      This method retrieves the prefix.
      Returns:
        the prefix of this `Node`

    - #### getPreviousSibling

          Node getPreviousSibling()

      This method retrieves the previous sibling.
      Returns:
        the previous sibling of this `Node`

    - #### hasAttributes

          boolean hasAttributes()

      This method determines whether this `Node` has any attributes.
      Returns:
        `true` if this `Node` has any attributes

    - #### hasChildNodes

          boolean hasChildNodes()

      This method determines whether this `Node` has any child nodes.
      Returns:
        `true` if this `Node` has any child nodes

    - #### insertBefore

          Node insertBefore(Node newChild,
                            Node refChild)

      This method inserts before `newChild`.
      Parameters:
        `newChild` - the `Node` to be added
        `refChild` - the `Node` which determines the position to insert
      Returns:
        the before `Node` inserted

    - #### normalize

          void normalize()

      This method may collapse adjacent text nodes into one text node, depending on the implementation. Safari 4.0 and Chrome will also merge CDATA nodes into text nodes, even though they support CDATA nodes as distinct nodes.

    - #### removeChild

          Node removeChild(Node oldChild)

      This method removes child `oldChild`.
      Parameters:
        `oldChild` - the `Node` to be removed
      Returns:
        the child `Node` removed

    - #### replaceChild

          Node replaceChild(Node newChild,
                            Node oldChild)

      This method replaces the child `oldChild` with `newChild`.
      Parameters:
        `newChild` - the `Node` to be added
        `oldChild` - the `Node` to be removed
      Returns:
        the child `Node` replaced

    - #### setNodeValue

          void setNodeValue(java.lang.String nodeValue)

      This method sets the value to `nodeValue`.
      Parameters:
        `nodeValue` - the new value